## ncp sdk-0.1.5

=== requirements.txt ===
# NCP SDK Requirements
# Install with: pip install -r requirements.txt

click>=8.0.0
pyyaml>=6.0
toml>=0.10.2
requests>=2.31.0
rich>=13.0.0
urllib3>=2.0.0
websockets>=12.0

=== ncp/templates/default/requirements.txt ===
# Python dependencies for your agent
# Add any packages your agent needs here

# Example dependencies:
# requests>=2.28.0
# pandas>=1.5.0
# numpy>=1.21.0

## ncp 1.2.4

=== debian/changelog ===
ncp (1.2.4-3) unstable; urgency=low

  * Repackage, update compat/standard, don't build against diet-libc

 -- Stefan Bühler <stbuehler@web.de>  Thu, 09 May 2013 20:29:21 +0200

ncp (1.2.4-2) unstable; urgency=low

  * Fix usage of DESTDIR in makefiles

 -- Stefan Bühler <source@stbuehler.de>  Mon, 15 Sep 2008 12:26:16 +0000

ncp (1.2.4-1) unstable; urgency=low

  * Initial release

 -- Stefan Bühler <stbuehler@web.de>  Wed, 19 Dec 2007 13:33:06 +0100

=== debian/control ===
Source: ncp
Section: net
Priority: extra
Maintainer: Stefan Bühler <stbuehler@web.de>
Build-Depends: cdbs, debhelper (>= 9), libowfat-dev
Standards-Version: 3.9.4
Homepage: http://www.fefe.de/ncp/

Package: ncp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast file copy tool for LANs
 npush will now use IPv6 and IPv4 multicast on the multicast groups
 ff02::6e63:7030 (6e63:7030 == 'ncp0') and 224.110.99.112
 (110.99.112 == 'ncp'). If both methods fail, npush will resort to the broadcast
 packets used by previous versions. You can force the broadcast method by
 passing "-b" to npush so that previous npoll versions can see the
 announcements.
 .
 "ncp" is a utility for copying files in a LAN. It has absolutely no security or
 integrity checking, no throttling, no features, except one: you don't have to
 type the coordinates of your peer.
 .
 Please note that the DNS resolver does not use /etc/hosts (as that would not
 work with IPv6 anyway), so you should have a properly configured DNS server.
 .
 Basically it works like this:
 1. You and your buddy want to play Quake
 2. Your buddy has a level that you don't have
 3. He types npush filename and waits. npush sends out UDP announcement packets
 proclaiming that someone wants to send something
 4. You type npoll. npoll waits until it sees one of these packets
 5. The files are copied with tar over a TCP socket, so permissions and file
 dates (and if you are root, owners) are preserved. 
 .
 peer1$ npush file1
                peer2$ npoll
 .
 peer1$ ncp
                peer2$ ncp peer1 file1 file2 file3
 .
 peer1$ npush file1
                peer2$ npoll peer1

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_ENVVARS        := DIET=
DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/ncp/ PREFIX=/usr
DEB_MAKE_CHECK_TARGET   :=

# Add here any variable or target overrides you need.
